# $Revision: 1.72 $, $Date: 2006/02/03 09:31:20 $
Summary:	File manager
Summary(pl):	Zarzdca plikw
Name:		rox
Version:	2.4.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/rox/%{name}-%{version}.tgz
# Source0-md5:	0d43b7fcd0325936fdf036230837f21b
Source1:	%{name}.desktop
Patch0:		%{name}-help.patch
URL:		http://rox.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	libxml2-devel >= 2.0.0
BuildRequires:	pkgconfig
BuildRequires:	shared-mime-info >= 0.14
Requires:	glib2 >= 2.0.3
Requires:	gtk+2 >= 2:2.4.0
Requires:	libxml2 >= 2.0.0
Requires:	shared-mime-info >= 0.14
Conflicts:	rox-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _platform %(echo `uname -s`-`uname -m|sed 's/i.86/ix86/'`)
%define		_roxdir %{_libdir}/rox

%description
ROX-Filer is a small, fast and powerful file manager for Linux and
Unix systems.

%description -l pl
ROX-Filer jest maym, szybkim programem do zarzdzania plikami o
duych moliwociach przeznaczonym dla Linuksa i innych systemw
uniksowych.

%prep
%setup -q
%patch0 -p1

%build
cd ROX-Filer/src
%{__autoconf}

cd -

mkdir ROX-Filer/build
cd ROX-Filer/build
../src/%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d \
	$RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_datadir}/mime/packages \
	$RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_iconsdir} \
	$RPM_BUILD_ROOT%{_pixmapsdir} \
	$RPM_BUILD_ROOT%{_roxdir}/ROX-Filer/{Help,Messages} \
	$RPM_BUILD_ROOT/etc/xdg/rox.sourceforge.net

cat >> $RPM_BUILD_ROOT%{_bindir}/rox << 'EOF'
#!/bin/sh
exec %{_roxdir}/ROX-Filer/AppRun "$@"
EOF

install rox.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages

install rox.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

install ROX-Filer/.DirIcon $RPM_BUILD_ROOT%{_pixmapsdir}/rox.png

install ROX-Filer/Help/Manual*.html $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer/Help

install ROX-Filer/Messages/*.gmo $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer/Messages

cp -r ROX-Filer/ROX $RPM_BUILD_ROOT%{_iconsdir}

cp -r ROX-Filer/images $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer

install ROX-Filer/AppRun $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer
install ROX-Filer/ROX-Filer $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer

install ROX-Filer/*.{css,xml} $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer

install ROX-Filer/.DirIcon $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer

cp -r Choices/* $RPM_BUILD_ROOT/etc/xdg/rox.sourceforge.net

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
/usr/bin/update-mime-database %{_datadir}/mime ||:

%postun
umask 022
/usr/bin/update-mime-database %{_datadir}/mime

%files
%defattr(644,root,root,755)
%doc ROX-Filer/Help/{Changes,README,TODO}
%lang(es) %doc ROX-Filer/Help/README-es
%attr(755,root,root) %{_bindir}/rox
%dir %{_roxdir}
%dir %{_roxdir}/ROX-Filer
%dir %{_roxdir}/ROX-Filer/Help
%{_roxdir}/ROX-Filer/Help/Manual.html
%lang(fr) %{_roxdir}/ROX-Filer/Help/Manual-fr.html
%lang(it) %{_roxdir}/ROX-Filer/Help/Manual-it.html
%dir %{_roxdir}/ROX-Filer/Messages
%lang(cs) %{_roxdir}/ROX-Filer/Messages/cs.gmo
%lang(da) %{_roxdir}/ROX-Filer/Messages/da.gmo
%lang(de) %{_roxdir}/ROX-Filer/Messages/de.gmo
%lang(es) %{_roxdir}/ROX-Filer/Messages/es.gmo
%lang(et) %{_roxdir}/ROX-Filer/Messages/et_EE.gmo
%lang(eu) %{_roxdir}/ROX-Filer/Messages/eu.gmo
%lang(fi) %{_roxdir}/ROX-Filer/Messages/fi.gmo
%lang(fr) %{_roxdir}/ROX-Filer/Messages/fr.gmo
%lang(hu) %{_roxdir}/ROX-Filer/Messages/hu.gmo
%lang(it) %{_roxdir}/ROX-Filer/Messages/it.gmo
%lang(ja) %{_roxdir}/ROX-Filer/Messages/ja.gmo
%lang(nl) %{_roxdir}/ROX-Filer/Messages/nl.gmo
%lang(no) %{_roxdir}/ROX-Filer/Messages/no.gmo
%lang(pl) %{_roxdir}/ROX-Filer/Messages/pl.gmo
%lang(pt) %{_roxdir}/ROX-Filer/Messages/pt_PT.gmo
%lang(pt_BR) %{_roxdir}/ROX-Filer/Messages/pt_BR.gmo
%lang(ro) %{_roxdir}/ROX-Filer/Messages/ro.gmo
%lang(ru) %{_roxdir}/ROX-Filer/Messages/ru.gmo
%lang(sv) %{_roxdir}/ROX-Filer/Messages/sv.gmo
%lang(zh_CN) %{_roxdir}/ROX-Filer/Messages/zh_CN.gmo
%lang(zh_TW) %{_roxdir}/ROX-Filer/Messages/zh_TW.gmo
%{_roxdir}/ROX-Filer/images
%attr(755,root,root) %{_roxdir}/ROX-Filer/AppRun
%attr(755,root,root) %{_roxdir}/ROX-Filer/ROX-Filer
%{_roxdir}/ROX-Filer/*.xml
%{_roxdir}/ROX-Filer/*.css
%{_roxdir}/ROX-Filer/.DirIcon
%dir /etc/xdg/rox.sourceforge.net
%dir /etc/xdg/rox.sourceforge.net/MIME-types
%attr(755,root,root) /etc/xdg/rox.sourceforge.net/MIME-types/*
%{_datadir}/mime/packages/rox.xml
%{_desktopdir}/rox.desktop
%{_iconsdir}/ROX
%{_pixmapsdir}/rox.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rox.spec,v $
Revision 1.72  2006/02/03 09:31:20  qboosh
- umask 022 for update-mime-database

Revision 1.71  2005/12/30 19:30:36  megabajt
- updated to 2.4.1

Revision 1.70  2005/12/14 15:00:07  megabajt
- updated to 2.4

Revision 1.69  2005/09/13 14:00:47  prism
- added BR: shared-mime-info >= 0.16

Revision 1.68  2005/08/18 10:25:42  glen
- simplify inline redirection

Revision 1.67  2005/08/17 20:25:15  qboosh
- just lang(et) for et_EE

Revision 1.66  2005/08/17 18:18:54  adgor
- Updated to 2.3
- I hope, i repared what i broke in a pasts
- rox-apps-dir related specs must be fixed
  (anyway almost all that stuff needs update/review)

Revision 1.65  2005/05/15 00:20:25  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.64  2005/04/29 13:07:55  megabajt
- added dir %{_appsdir}
- release 2

Revision 1.63  2005/03/26 13:56:39  megabajt
- updated to 2.2.0
- proper license

Revision 1.62  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.61  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.60  2004/10/21 15:52:31  wolf
- 2.1.4

Revision 1.59  2004/09/21 01:00:28  ankry
- rel. 2

Revision 1.58  2004/08/03 12:48:04  wolf
- 2.1.3

Revision 1.57  2004/06/04 14:02:58  kolodko
- updated to 2.1.2

Revision 1.56  2004/01/27 12:02:06  qboosh
- updated lang() for bokmaal (s/no/nb/)

Revision 1.55  2004/01/25 16:56:00  wolf
- 2.1.1

Revision 1.54  2003/12/07 22:05:25  adgor
- Manual.html is indispensable

Revision 1.53  2003/12/07 18:31:40  adgor
- Manual html pages also marked as %lang

Revision 1.52  2003/12/07 00:42:29  adgor
- Arch independent files moved to %{_datadir}/%{name}
- Choises scripts moved to %{_datadir}/%{name}
- Removed AppRun script
- %{_platform}/ROX-Filer binary moved to %{_bindir}
- Icon theme moved to %{_iconsdir} - it works now without fallback
  to ~/.icons/ROX
- All user config files are now stored in .rox dir with HOME_ETC support
- Release 4

Revision 1.51  2003/12/06 19:05:42  adgor
- R: shared-mime-info >= 0.12-2

Revision 1.50  2003/12/06 14:34:59  adgor
- Ok - it works now (moved rox.xml to %(_datadir}/mime/packages)
- Restored %post/%postun
- Release 3

Revision 1.49  2003/12/06 02:56:52  adgor
- Removed fix-mime-info-path.patch (switched to %{_datadir}/mime)
- Removed useless %post/%postun - it has no sense at all - with the same
  effects You may call here `df -h` or `echo "I love Pamela Anderson"`
- Not sure about placing rox.xml in sharwed-mime-info cache dir
- Release 2

Revision 1.48  2003/10/07 20:00:40  wolf
- 2.1.0

Revision 1.47  2003/09/26 13:19:20  adgor
- Desktop file moved to %{_desktopdir}

Revision 1.46  2003/08/02 10:20:14  jareq
- removed gdk-pixbuf-devel from BuildRrequires

Revision 1.45  2003/07/30 10:18:40  wolf
- 2.0.1

Revision 1.44  2003/06/28 16:17:49  wolf
- gtk 2.2.2 patch
http://sourceforge.net/mailarchive/forum.php?thread_id=2616081&forum_id=4177

Revision 1.43  2003/06/18 14:06:52  ankry
- cosmetics

Revision 1.42  2003/06/01 14:08:31  wolf
- 2.0.0

Revision 1.41  2003/05/29 20:16:48  wolf
- builder -5 is stupid

Revision 1.40  2003/05/29 20:13:00  wolf
- 1.3.10

Revision 1.39  2003/05/28 13:01:41  malekith
- massive attack: source-md5

Revision 1.38  2003/05/25 06:26:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/05/18 05:39:46  misi3k
- updated to 1.3.9

Revision 1.36  2003/03/30 22:33:26  ankry
- adapterized

Revision 1.35  2003/03/30 17:55:47  misi3k
- updated to 1.3.8

Revision 1.34  2003/03/01 00:50:34  ankry
- standarized src URL

Revision 1.33  2003/03/01 00:13:33  wolf
- 1.3.7
- use standard building method
- seems nobody is using sortbutton patch

Revision 1.32  2003/01/24 22:16:04  wolf
- 1.3.6

Revision 1.31  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.30  2002/12/05 21:45:26  wolf
- 1.3.5

Revision 1.29  2002/11/25 01:41:56  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %doc

Revision 1.28  2002/10/17 19:05:29  grzegol
- updated to 1.3.4

Revision 1.27  2002/08/20 14:49:01  grzegol
- moved ROX-apps to %{_libdir}
- rel.4
STBR

Revision 1.26  2002/08/02 18:10:38  kloczek
- minor changes.

Revision 1.25  2002/08/01 22:29:48  grzegol
- added rox-help patch (fixes rox -h)
- added rox-selbutton (adds "select all" button on toolbar)
- added rox-sortbutton patch (adds sort buton on toolbar)
- gtk+ >= 2.0.0 require changed to gtk+ >= 2.0.1
- rel. 3
STBR

Revision 1.24  2002/07/26 13:29:22  grzegol
- fixed fix-mime-info-path patch
- rel. 2
STBR

Revision 1.23  2002/07/25 21:49:26  grzegol
- updated to 1.3.3
- update mime databases in post and postun
- updated %files
STBR

Revision 1.22  2002/07/02 22:12:08  grzegol
- merged from DEVEL (up to 1.3.2)

Revision 1.12.2.8  2002/06/23 17:56:41  grzegol
- updated to 1.3.2

Revision 1.12.2.7  2002/06/19 21:33:57  grzegol
- moved ROX-Filer dir from /usr/X11R6/share to /usr/X11R6/share/ROX-apps
- fixed doc
- allow building on arch != x86
- rel. 3

Revision 1.12.2.6  2002/06/07 21:15:44  grzegol
- added fix-mime-info-path patch (search for mime-info files also in
  /usr/X11/share/mime-info)
- added ommited rox.mimeinfo file
- added R: shared-mime-info
- rel. 2

Revision 1.12.2.5  2002/06/07 14:44:42  grzegol
- updated to 1.3.1
- new %doc
- removed R: rox-base, added Conflicts: rox-base

Revision 1.12.2.4  2002/04/23 13:41:55  grzegol
- removed Source2 (icon is in sources)
- fixed last change
- fixed %files
- rel. 3

Revision 1.12.2.3  2002/04/21 20:08:44  grzegol
- added desktop file and icon
- rel. 2

Revision 1.12.2.2  2002/04/16 12:10:13  grzegol
- removed %{_pixmapsdir}/rox from $CHOICEPATH

Revision 1.12.2.1  2002/04/15 16:54:38  grzegol
- updated to 1.3.0 (it uses gtk+2, so i did it in DEVEL branch)
- added BR: gtk+2-devel, libxml2-devel, pkgconfig
- added R: gtk+2, libxml2
- some changes in %files

Revision 1.12  2002/04/13 16:40:26  grzegol
- now it's realy rel. 2 :)
  STBR

Revision 1.17  2002/06/16 15:56:16  grzegol
- new %doc

Revision 1.16  2002/06/16 15:20:29  grzegol
- added libxml-includes patch (add libxml prefix before header files)
- rel. 2
  STBR

Revision 1.10  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:29:41  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/21 04:49:35  kloczek
- cleanups.

Revision 1.7  2002/02/19 18:45:11  grzegol
- updated to 1.2.0
- removed outdated patch
  STBR

Revision 1.6  2002/01/27 16:43:04  grzegol
- fix run-script
- fix "manual link" bug
- cosmetics

Revision 1.5  2002/01/27 13:19:13  grzegol
- remove R: gtk+
- remove R: gdk-pixbuf
- remove R:libxml

Revision 1.4  2002/01/26 22:55:53  grzegol
- update to 1.1.12
- add configfix patch
- cleanups

Revision 1.3  2002/01/18 02:14:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/02 14:25:25  qboosh
- added URLs and descriptions (note: 1.1.7 on ftp)

Revision 1.1  2001/07/21 21:20:50  blues
- rox-filer - initial release
- NYF
